﻿namespace TestProject
{
    /// <summary>
    /// 파일 시스템 항목
    /// </summary>
    public class FileSystemItem
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name { get; set; }

        #endregion
        #region 항목 타입 - ItemType

        /// <summary>
        /// 항목 타입
        /// </summary>
        public string ItemType { get; set; }

        #endregion
        #region 크기 - Size

        /// <summary>
        /// 크기
        /// </summary>
        public string Size { get; set; }

        #endregion
        #region 전체 명칭 - FullName

        /// <summary>
        /// 전체 명칭
        /// </summary>
        public string FullName { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - FileSystemItem(name, itemType, size, fullName)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="name">명칭</param>
        /// <param name="itemType">항목 타입</param>
        /// <param name="size">크기</param>
        /// <param name="fullName">전체 명칭</param>
        public FileSystemItem(string name, string itemType, string size, string fullName)
        {
            Name     = name;
            ItemType = itemType;
            Size     = size;
            FullName = fullName;
        }

        #endregion
    }
}